DIPlib Documentation - ©1995-2014 Quantitative Imaging Group, Delft University of Technology.

# Max

arithmetic function

## SYNOPSIS

dip_Error dip_Max ( in1, in2, out )

## DATA TYPES

binary, integer, float

## FUNCTION

This function computes `out` = max (`in1` , `in2`) on a pixel by pixel basis. The data types of the `in1` and `in2` image may be of different types. See Information about dyadic operations for more information about what the type of the output will be.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in1` | First input
`dip_Image` | `in2` | Second input
`dip_Image` | `out` | Output

## SEE ALSO

`MaxFloat`, `Min`, `MinFloat`